Nestopia Core API: Nes::Result

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## core
Enum Nes::Result

General result codes.

Field Summary
`RESULT_ERR_CORRUPT_FILE = -6` Corrupt file.
`RESULT_ERR_GENERIC = -1` Generic error.
`RESULT_ERR_INVALID_CRC = -7` Invalid CRC checksum.
`RESULT_ERR_INVALID_FILE = -5` Invalid file.
`RESULT_ERR_INVALID_PARAM = -4` Invalid parameter(s).
`RESULT_ERR_MISSING_BIOS = -12` Missing FDS BIOS.
`RESULT_ERR_NOT_READY = -3` System not ready.
`RESULT_ERR_OUT_OF_MEMORY = -2` Out of memory.
`RESULT_ERR_UNSUPPORTED = -8` Unsupported operation.
`RESULT_ERR_UNSUPPORTED_FILE_VERSION = -9` File format version is no longer supported.
`RESULT_ERR_UNSUPPORTED_MAPPER = -11` Unsupported or malformed mapper.
`RESULT_ERR_UNSUPPORTED_VSSYSTEM = -10` Vs DualSystem is unsupported.
`RESULT_ERR_WRONG_MODE = -13` NTSC/PAL region mismatch.
`RESULT_NOP = 1` Success but operation had no effect.
`RESULT_OK = 0` Success.
`RESULT_WARN_BAD_CROM = 4` Success but CHR-ROM may be bad.
`RESULT_WARN_BAD_DUMP = 2` Success but image dump may be bad.
`RESULT_WARN_BAD_FILE_HEADER = 5` Success but file header may have incorrect data.
`RESULT_WARN_BAD_PROM = 3` Success but PRG-ROM may be bad.
`RESULT_WARN_DATA_REPLACED = 8` Success but data may have been replaced.
`RESULT_WARN_SAVEDATA_LOST = 6` Success but save data has been lost.

Field Detail

### RESULT_ERR_CORRUPT_FILE

    public RESULT_ERR_CORRUPT_FILE = -6

  Corrupt file.

### RESULT_ERR_GENERIC

    public RESULT_ERR_GENERIC = -1

  Generic error.

### RESULT_ERR_INVALID_CRC

    public RESULT_ERR_INVALID_CRC = -7

  Invalid CRC checksum.

### RESULT_ERR_INVALID_FILE

    public RESULT_ERR_INVALID_FILE = -5

  Invalid file.

### RESULT_ERR_INVALID_PARAM

    public RESULT_ERR_INVALID_PARAM = -4

  Invalid parameter(s).

### RESULT_ERR_MISSING_BIOS

    public RESULT_ERR_MISSING_BIOS = -12

  Missing FDS BIOS.

### RESULT_ERR_NOT_READY

    public RESULT_ERR_NOT_READY = -3

  System not ready.

### RESULT_ERR_OUT_OF_MEMORY

    public RESULT_ERR_OUT_OF_MEMORY = -2

  Out of memory.

### RESULT_ERR_UNSUPPORTED

    public RESULT_ERR_UNSUPPORTED = -8

  Unsupported operation.

### RESULT_ERR_UNSUPPORTED_FILE_VERSION

    public RESULT_ERR_UNSUPPORTED_FILE_VERSION = -9

  File format version is no longer supported.

### RESULT_ERR_UNSUPPORTED_MAPPER

    public RESULT_ERR_UNSUPPORTED_MAPPER = -11

  Unsupported or malformed mapper.

### RESULT_ERR_UNSUPPORTED_VSSYSTEM

    public RESULT_ERR_UNSUPPORTED_VSSYSTEM = -10

  Vs DualSystem is unsupported.

### RESULT_ERR_WRONG_MODE

    public RESULT_ERR_WRONG_MODE = -13

  NTSC/PAL region mismatch.

### RESULT_NOP

    public RESULT_NOP = 1

  Success but operation had no effect.

### RESULT_OK

    public RESULT_OK = 0

  Success.

### RESULT_WARN_BAD_CROM

    public RESULT_WARN_BAD_CROM = 4

  Success but CHR-ROM may be bad.

### RESULT_WARN_BAD_DUMP

    public RESULT_WARN_BAD_DUMP = 2

  Success but image dump may be bad.

### RESULT_WARN_BAD_FILE_HEADER

    public RESULT_WARN_BAD_FILE_HEADER = 5

  Success but file header may have incorrect data.

### RESULT_WARN_BAD_PROM

    public RESULT_WARN_BAD_PROM = 3

  Success but PRG-ROM may be bad.

### RESULT_WARN_DATA_REPLACED

    public RESULT_WARN_DATA_REPLACED = 8

  Success but data may have been replaced.

### RESULT_WARN_SAVEDATA_LOST

    public RESULT_WARN_SAVEDATA_LOST = 6

  Success but save data has been lost.

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD